Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1)

Issue 242460043: Automation + Global History

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 1 month ago by yask123
Modified:
2 years, 1 month ago
Reviewers:
ajgupta93, waldi, RogerHaase
Visibility:
Public.

Description

#ChangeLog from patch #2 Fixed the alignment of sub menu tabs and item views tabs Added active visual effect to the current tab view Fixed horizontal scroll bug Fixed padding inside sub menu Increased font size for wiki contents Automation + Global History # Changelog 3 , new cr patch 1 Added automation. run `$ ./m css ` to automatically compile all the less files. Modernized theme now runs with the current version of xstatic bootstrap. Rewrote `global history` template Changed font sizes at various places Changelog #4 Made changes as suggested in last CR ChangeLog #5 Created a special directory exclusively for modernized theme's template. Added footer and breadcrumb. Made changes as suggested by mentors in previous patch

Patch Set 1 #

Total comments: 2

Patch Set 2 : After fixing coding-std errors #

Total comments: 3

Patch Set 3 : Made changes as suggested by mentors #

Total comments: 29

Patch Set 4 : Added CSS inheritence #

Patch Set 5 : Changes suggested by mentors #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6177 lines, -304 lines) Patch
M MoinMoin/templates/base.html View 4 1 chunk +1 line, -1 line 0 comments Download
M MoinMoin/templates/itemviews.html View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M MoinMoin/themes/modernized/static/css/theme.css View 1 2 3 4 2 chunks +4029 lines, -285 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/modernized.less View 1 2 3 4 1 chunk +220 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/normalize.css View 1 chunk +180 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/notice.less View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/theme.less View 1 2 3 4 1 chunk +98 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/userstyles.css View 1 2 3 4 1 chunk +24 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/static/custom-less/variables_modernized.less View 1 2 3 1 chunk +861 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/templates/global_history.html View 1 2 3 4 1 chunk +69 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/templates/index.html View 1 2 3 4 1 chunk +205 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/templates/layout.html View 1 2 3 4 1 chunk +152 lines, -0 lines 0 comments Download
A MoinMoin/themes/modernized/templates/utils.html View 1 2 3 4 1 chunk +319 lines, -0 lines 0 comments Download
M make.py View 1 2 3 4 2 chunks +11 lines, -17 lines 0 comments Download

Messages

Total messages: 10
yask123
https://codereview.appspot.com/242460043/diff/1/MoinMoin/static/js/common.js File MoinMoin/static/js/common.js (right): https://codereview.appspot.com/242460043/diff/1/MoinMoin/static/js/common.js#newcode24 MoinMoin/static/js/common.js:24: list = $('.moin-panel'), Because .panel interfered with Bootstrap's default ...
2 years, 1 month ago (2015-06-18 21:59:16 UTC) #1
ajgupta93
On 2015/06/18 21:59:16, yask123 wrote: > https://codereview.appspot.com/242460043/diff/1/MoinMoin/static/js/common.js > File MoinMoin/static/js/common.js (right): > > https://codereview.appspot.com/242460043/diff/1/MoinMoin/static/js/common.js#newcode24 > ...
2 years, 1 month ago (2015-06-20 16:19:23 UTC) #2
ajgupta93
https://codereview.appspot.com/242460043/diff/20001/MoinMoin/templates/layout.html File MoinMoin/templates/layout.html (right): https://codereview.appspot.com/242460043/diff/20001/MoinMoin/templates/layout.html#newcode108 MoinMoin/templates/layout.html:108: {% block header_itemviews %}{% endblock %} use 2 different ...
2 years, 1 month ago (2015-06-20 16:48:49 UTC) #3
RogerHaase
https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html File MoinMoin/templates/forms.html (right): https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html#newcode23 MoinMoin/templates/forms.html:23: {{ gen.input(type='submit', value=form.submit_label, class='btn btn-primary', **kwargs) }} you make ...
2 years, 1 month ago (2015-06-22 16:08:30 UTC) #4
waldi
https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css File MoinMoin/themes/modernized/static/css/theme.css (right): https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css#newcode1 MoinMoin/themes/modernized/static/css/theme.css:1: /*! normalize.css v3.0.0 | MIT License | git.io/normalize */ ...
2 years, 1 month ago (2015-06-23 09:06:43 UTC) #5
yask123
On 2015/06/22 16:08:30, RogerHaase wrote: > https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html > File MoinMoin/templates/forms.html (right): > > https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html#newcode23 > ...
2 years, 1 month ago (2015-06-23 15:20:28 UTC) #6
yask123
On 2015/06/23 09:06:43, waldi wrote: > https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css > File MoinMoin/themes/modernized/static/css/theme.css (right): > > https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css#newcode1 > ...
2 years, 1 month ago (2015-06-23 15:22:24 UTC) #7
yask123
https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css File MoinMoin/themes/modernized/static/css/theme.css (right): https://codereview.appspot.com/242460043/diff/60001/MoinMoin/themes/modernized/static/css/theme.css#newcode182 MoinMoin/themes/modernized/static/css/theme.css:182: @media print { On 2015/06/22 16:08:29, RogerHaase wrote: > ...
2 years, 1 month ago (2015-06-23 19:14:48 UTC) #8
yask123
https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html File MoinMoin/templates/forms.html (right): https://codereview.appspot.com/242460043/diff/60001/MoinMoin/templates/forms.html#newcode23 MoinMoin/templates/forms.html:23: {{ gen.input(type='submit', value=form.submit_label, class='btn btn-primary', **kwargs) }} On 2015/06/22 ...
2 years, 1 month ago (2015-06-24 00:38:58 UTC) #9
RogerHaase
2 years, 1 month ago (2015-06-24 15:02:03 UTC) #10
I cloned your repo and applied this patch. ./m coding-std shows 2 new flags (a
third is fixed in my repo, but you can fix as well). ./m tests run without
errors :)

One HTML validation error on Home page. Several HTML validation errors on Global
History and Global Index.

Header looks odd at 1980 pixel width - there is a big Submit button related to
search. At ~800 pixel width, header breaks with lots of overlaid elements.

Text of logos in footer in nearly invisible.

I repeat my suggestion of reducing the size of this patch by moving index.html
and global_history.html (maybe utils.html) to a separate patch.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted